<!DOCTYPE html>
<html lang="en"
      xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Reviewsida</title>
    <link rel="stylesheet" th:href="@{/css/styles.css}" href="../static/css/styles.css">
    <link rel="shorcut icon" th:href="@{/img/favicon.ico}" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="shorcut icon" th:href="@{/img/favicon.ico}" />

    <!-- Font -->
    <!--    <link href="https://fonts.googleapis.com/css?family=Raleway:400,600,700,900" rel="stylesheet">-->
</head>
<body class="body-css">
<header class="d-flex justify-content-between px-3 py-3 mb-4 border-bottom bg-white">
    <div class="nav-item nav-pills">
        <a href="#" class="d-flex align-items-start nav-link border border-dark mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
            <h1>StädaFint AB</h1>
        </a>
    </div>


    <div class="mr-10 mt-3 ">
        <ul class="nav nav-pills ">
            <li class="nav-item ">
                <a th:href="@{/booking}" class="nav-link border border-primary ">Bokningar</a>
            </li>
            <li class="nav-item ">
                <a th:href="@{/mina_sidor}" class="nav-link border border-primary">Mina sidor</a>
            </li>
            <li class="nav-item">
                <a th:href="@{/booking/review}" class="nav-link border border-primary active">Review</a>

            </li>
            <li class="nav-item">
                <a href="#" class="nav-link border border-primary">Om</a>

            </li>
            <li class="nav-item">
                <a th:href="@{/accounts/login}" class="nav-link border border-primary">Logout</a>

            </li>
        </ul>
    </div>

</header>

<div class="inner-body">

    <div class="container-css">

        <div class="container-form-css">


                <h2 class="heading-css heading-yellow-css">Reviews</h2>

                <!--                <input type="hidden" th:field="*{cId}">-->
                <div>
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>ACCid</th>
                            <th>Bokad Städning</th>
                            <th>Tid</th>
                            <th>Datum</th>
<!--                            <th>-->
<!--                                Åsikter-->
<!--                            </th>-->
                            <th>
                                Godkänd
                            </th>
                            <th>
                                Icke-godkänd
                            </th>

                        </tr>
                        </thead>
                        <!--   ersätta bokningarna med genomförda bokningar som städaren har fått
                                            -->

                        <tbody th:each="booking : ${listBookings}">
                        <form th:action="@{/booking/review/post}" method="post" th:object="${review}" >
                        <tr>

                            <td >[[${booking.bookingId}]]</td>
                            <td >[[${booking.accounts.accid}]]</td>

                            <td >[[${booking.selection}]]</td>

                            <td >[[${booking.time}]]</td>
                            <td >[[${booking.date}]]</td>
                            <input type="text" th:name="bookingId"  th:value="${booking.bookingId}" >
                            <td style="text-align: center">
                                <textarea name="text" th:field="*{opinions}" id="textarea" cols="30" rows="4"></textarea>
                            </td>
                            <td>
                                    <button  type="submit" th:name="app" class="btn btn-outline-success" >Godkänd</button>
                            </td>

                            <td>
                                    <button  type="submit" th:name="disapp" class="btn btn-outline-danger">Icke-godkänd</button>
                            </td>

                        </tr>
                        </form>
                        </tbody>

                    </table>
                </div>

        </div>
    </div>
</div>
<script>

</script>


</body>
</html>